﻿using System;

namespace SharpRss.Models
{
	public class FeedItemModel
	{
		public FeedItemModel()
		{
			Id = Guid.NewGuid().ToString();
			LastUpdated = DateTime.Now;
        }
        public string Id { get; set; }
		public string? FeedId { get; set; }
		public bool Read { get; set; }
		public string Type { get; set; } = string.Empty;
		public string Title { get; set; } = string.Empty;
		public string Description { get; set; } = string.Empty;
		public string Link { get; set; } = string.Empty;
		public DateTimeOffset LastUpdated { get; set; }
		public DateTimeOffset? PublishingDate { get; set; }
		public string Author { get; set; } = string.Empty;
		public string[]? Categories { get; set; }
		public string Content { get; set; } = string.Empty;
	}
}
